org.wildfly.swarm.undertow

## Class UndertowFraction

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.Undertow<UndertowFraction>
      - - org.wildfly.swarm.undertow.UndertowFraction

- All Implemented Interfaces:
    Serializable, Cloneable, Map, Fraction

      public class UndertowFraction
      extends Undertow<UndertowFraction>
      implements Fraction

  Author:
    Bob McWhirter
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.wildfly.swarm.config.Undertow

      `Undertow.UndertowResources`

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UndertowFraction()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `ajpPort()`
    `UndertowFraction` | `ajpPort(int ajpPort)`
    `String` | `alias()`
    `UndertowFraction` | `applyDefaults()` Apply whatever defaults are required if this fraction was not explicitly configured by a user.
    `static UndertowFraction` | `createDefaultAJPOnlyFraction()` Create the default AJP-only fraction.
    `static UndertowFraction` | `createDefaultAndEnableAJPFraction()` Create the default HTTP and AJP fraction.
    `static UndertowFraction` | `createDefaultFraction()` Create the default, HTTP-only fraction.
    `static UndertowFraction` | `createDefaultFraction(String path, String password, String alias)` Create the default HTTP and HTTPS fraction.
    `static UndertowFraction` | `createDefaultHTTPSOnlyFraction(String path, String password, String alias)` Create the default HTTPS-only fraction.
    `UndertowFraction` | `enableAJP()` Enable AJP on this fraction.
    `UndertowFraction` | `enableHTTPS(String path, String password, String alias)` Enable HTTPS on this fraction.
    `UndertowFraction` | `enableHTTPS(String path, String keystorePassword, String keyPassword, String alias)` Enable HTTPS on this fraction.
    `int` | `httpPort()`
    `UndertowFraction` | `httpPort(int httpPort)`
    `int` | `httpsPort()`
    `UndertowFraction` | `httpsPort(int httpsPort)`
    `boolean` | `isEnableAJP()`
    `boolean` | `isOnlyHTTPS()`
    `String` | `keyPassword()`
    `String` | `keystorePassword()`
    `String` | `keystorePath()`
    `UndertowFraction` | `onlyHTTPS()`
    `UndertowFraction` | `removeHttpListenersFromDefaultServer()`

    - ### Methods inherited from class org.wildfly.swarm.config.Undertow

      `addPropertyChangeListener, bufferCache, bufferCache, bufferCache, bufferCache, bufferCaches, defaultSecurityDomain, defaultSecurityDomain, defaultServer, defaultServer, defaultServletContainer, defaultServletContainer, defaultVirtualHost, defaultVirtualHost, filterConfiguration, filterConfiguration, filterConfiguration, filterConfiguration, getKey, handlerConfiguration, handlerConfiguration, handlerConfiguration, handlerConfiguration, instanceId, instanceId, removePropertyChangeListener, server, server, server, server, servers, servletContainer, servletContainer, servletContainer, servletContainer, servletContainers, statisticsEnabled, statisticsEnabled, subresources`

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.wildfly.swarm.spi.api.Fraction

      `applyDefaults`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### UndertowFraction

          public UndertowFraction()

  - ### Method Detail

    - #### createDefaultFraction

          public static UndertowFraction createDefaultFraction()

      Create the default, HTTP-only fraction.
      Returns:
        The configured fraction.

    - #### applyDefaults

          public UndertowFraction applyDefaults()

      Description copied from interface: `Fraction`
      Apply whatever defaults are required if this fraction was not explicitly configured by a user.
      Specified by:
        `applyDefaults` in interface `Fraction`
      Returns:
        this fraction.

    - #### createDefaultFraction

          public static UndertowFraction createDefaultFraction(String path,
                                                               String password,
                                                               String alias)

      Create the default HTTP and HTTPS fraction.

      This default requires configuration for accessing a keystore. The application also must include the `management` fraction in its dependencies.

      Parameters:
        `path` - The keystore path.
        `password` - The keystore password.
        `alias` - The server certificate alias.
      Returns:
        The configured fraction.
      See Also:
        `enableHTTPS(String, String, String)`

    - #### createDefaultAndEnableAJPFraction

          public static UndertowFraction createDefaultAndEnableAJPFraction()

      Create the default HTTP and AJP fraction.
      Returns:
        The configured fraction.
      See Also:
        `enableAJP()`

    - #### createDefaultHTTPSOnlyFraction

          public static UndertowFraction createDefaultHTTPSOnlyFraction(String path,
                                                                        String password,
                                                                        String alias)

      Create the default HTTPS-only fraction.

      This default inhibits the non-SSL HTTP endpoint, and only creates the default HTTPS endpoint. The application also must include the `management` fraction in its dependencies.

      Parameters:
        `path` - The keystore path.
        `password` - The keystore password.
        `alias` - The server certificate alias.
      Returns:
        The configured fraction;
      See Also:
        `enableHTTPS(String, String, String)`

    - #### createDefaultAJPOnlyFraction

          public static UndertowFraction createDefaultAJPOnlyFraction()

      Create the default AJP-only fraction.

      This default inhibits the HTTP endpoint, and only creates the default AJP endpoint.

      Returns:
        The configured fraction.
      See Also:
        `enableAJP()`

    - #### enableHTTPS

          public UndertowFraction enableHTTPS(String path,
                                              String password,
                                              String alias)

      Enable HTTPS on this fraction.

      This will enable HTTPS of the fraction. The application also must include the `management` fraction in its dependencies.

      Parameters:
        `path` - The keystore path.
        `password` - The keystore password.
        `alias` - The server certificate alias.
      Returns:
        This fraction.

    - #### enableHTTPS

          public UndertowFraction enableHTTPS(String path,
                                              String keystorePassword,
                                              String keyPassword,
                                              String alias)

      Enable HTTPS on this fraction.

      This will enable HTTPS of the fraction. The application also must include the `management` fraction in its dependencies.

      Parameters:
        `path` - The keystore path.
        `keystorePassword` - The keystore password.
        `keyPassword` - The key password inside the keystore.
        `alias` - The server certificate alias.
      Returns:
        This fraction.

    - #### enableAJP

          public UndertowFraction enableAJP()

      Enable AJP on this fraction.
      Returns:
        This fraction.

    - #### onlyHTTPS

          public UndertowFraction onlyHTTPS()

    - #### keystorePassword

          public String keystorePassword()

    - #### keyPassword

          public String keyPassword()

    - #### keystorePath

          public String keystorePath()

    - #### alias

          public String alias()

    - #### isOnlyHTTPS

          public boolean isOnlyHTTPS()

    - #### isEnableAJP

          public boolean isEnableAJP()

    - #### removeHttpListenersFromDefaultServer

          public UndertowFraction removeHttpListenersFromDefaultServer()

    - #### httpPort

          public UndertowFraction httpPort(int httpPort)

    - #### httpPort

          public int httpPort()

    - #### httpsPort

          public UndertowFraction httpsPort(int httpsPort)

    - #### httpsPort

          public int httpsPort()

    - #### ajpPort

          public UndertowFraction ajpPort(int ajpPort)

    - #### ajpPort

          public int ajpPort()

Copyright © 2017 JBoss by Red Hat. All rights reserved.